## org.apache.xpath
Interface ExtensionsProvider

All Known Implementing Classes:
  TransformerImpl, JAXPExtensionsProvider

public interface ExtensionsProvider

Interface that XPath objects can call to obtain access to an ExtensionsTable.

Method Summary
`boolean` `elementAvailable(java.lang.String ns, java.lang.String elemName)` Is the extension element available?
`java.lang.Object` `extFunction(FuncExtFunction extFunction, java.util.Vector argVec)` Execute the extension function.
`java.lang.Object` `extFunction(java.lang.String ns, java.lang.String funcName, java.util.Vector argVec, java.lang.Object methodKey)` Execute the extension function.
`boolean` `functionAvailable(java.lang.String ns, java.lang.String funcName)` Is the extension function available?

Method Detail

### functionAvailable

    public boolean functionAvailable(java.lang.String ns,
                                     java.lang.String funcName)
                              throws TransformerException

  Is the extension function available?

### elementAvailable

    public boolean elementAvailable(java.lang.String ns,
                                    java.lang.String elemName)
                             throws TransformerException

  Is the extension element available?

### extFunction

    public java.lang.Object extFunction(java.lang.String ns,
                                        java.lang.String funcName,
                                        java.util.Vector argVec,
                                        java.lang.Object methodKey)
                                 throws TransformerException

  Execute the extension function.

### extFunction

    public java.lang.Object extFunction(FuncExtFunction extFunction,
                                        java.util.Vector argVec)
                                 throws TransformerException

  Execute the extension function.

Copyright © 2006 Apache XML Project. All Rights Reserved.